---
title: Get ResponsiblePerson detail information
slug: get-responsibleperson-detail-information
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "cOBoon-ammxZrJhsiAuGl",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://dev1.frontu.com//client/api/v2/responsible_persons/details",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/responsible_persons/details"
      }
    ],
    "name": "Get ResponsiblePerson detail information",
    "description": "This endpoind allows to retrieve all information about one specific responsible person and query params are used to retreive the one specific client. \n",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "Example",
            "Example with values"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "guid",
          "type": "string",
          "description": "GUID format entity identifier generated by Frontu."
        },
        {
          "kind": "optional",
          "name": "systemId",
          "type": "string",
          "description": "Entity identifier from external system."
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "version",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "firstName",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "lastName",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "phone",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "email",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "note",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "client",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "guid",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "created",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "updated",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "deleted",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "systemId",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Entity not found",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "1uJkSlkKIPQctf1w2Ktyd",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://dev1.frontu.com//client/api/v2/responsible_persons/details \\\n     --header 'accept: application/json'"
        },
        {
          "id": "Cw3uxt1LHkufrPl0E3XB-",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/responsible_persons/details\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "PbFmFrlL2TyavvwG-p2ja",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/responsible_persons/details\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "744hMsIXBzodcbxTegXJK",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/responsible_persons/details\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "1uJkSlkKIPQctf1w2Ktyd"
    },
    "results": {
      "languages": [
        {
          "id": "-ZrS9WDmcNlON3APLcMwF",
          "language": "200",
          "code": "// Returned when successful\n{\n  \"version\": 0,\n  \"firstName\": \"\",\n  \"lastName\": \"\",\n  \"phone\": \"\",\n  \"email\": \"\",\n  \"note\": \"\",\n  \"client\": \"\",\n  \"guid\": \"\",\n  \"created\": \"\",\n  \"updated\": \"\",\n  \"deleted\": false,\n  \"systemId\": \"\"\n}"
        },
        {
          "id": "75igAQJYQs827zerRtRLk",
          "language": "404",
          "code": "// Entity not found\n"
        }
      ],
      "selectedLanguageId": "-ZrS9WDmcNlON3APLcMwF"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}